

function [file_name file_date file_bytes]=select_file(ext,direct,string_print)
% function [file_name file_date file_bytes]=select_file(ext,direct,string_print)

ext2=fullfile(direct,ext);
file_list=dir(ext2)';
nfiles=size(file_list,2);
if nfiles==0
    error('No files found.');
elseif nfiles==1
    n=1;
else
    disp(string_print);
    for i=1:nfiles
        fprintf('   [%d]  %s\n',i,file_list(1,i).name);
    end
    n=input('Chose file to select and press return: ');
end

file_data=file_list(1,n);

file_name=fullfile( direct,file_data.name );
file_date=file_data.date;
file_bytes=file_data.bytes;


